      SUBROUTINE IBCCCU (F,X,NX,Y,NY,C,IC,WK,IER)
C                                  SPECIFICATIONS FOR ARGUMENTS
      INTEGER            NX,NY,IC,IER
      REAL               F(IC,1),X(1),Y(1),C(2,IC,1),WK(1)
C                                  SPECIFICATIONS FOR LOCAL VARIABLES
      INTEGER            IWK
C                                  FIRST EXECUTABLE STATEMENT
      IER = 129
      IF (IC .LT. NX) GO TO 9000
      IER = 130
      IF (NX .LT. 4) GO TO 9000
      IER = 131
      IF (NY .LT. 4) GO TO 9000
      IWK = 2*NY*NX
      CALL IBCDCU(X,F,NX,NY,WK(IWK+1),WK,IC,NY,IER)
      IF (IER .GT. 0) GO TO 9000
      CALL IBCDCU(Y,WK,NY,2*NX,WK(IWK+1),C,NY,2*IC,IER)
      IF (IER .EQ. 0) GO TO 9005
 9000 CONTINUE
      CALL UERTST(IER,'IBCCCU')
 9005 RETURN
      END
